# IRremoteESP8266: src/IRrecv.h File Reference

IRrecv.h File Reference

Go to the source code of this file.

## Classes

struct | irparams_t
| Information for the interrupt handler. More...
struct | match_result_t
| Results from a data match. More...
class | decode_results
| Results returned from the decoder. More...
class | IRrecv
| Class for receiving IR messages. More...

## Variables

const uint16_t | kHeader = 2
const uint16_t | kFooter = 2
const uint16_t | kStartOffset = 1
const uint16_t | kMarkExcess = 50
const uint16_t | kRawBuf = 100
const uint64_t | kRepeat = UINT64_MAX
const uint16_t | kUnknownThreshold = 6
const uint8_t | kIdleState = 2
const uint8_t | kMarkState = 3
const uint8_t | kSpaceState = 4
const uint8_t | kStopState = 5
const uint8_t | kTolerance = 25
const uint8_t | kUseDefTol = 255
const uint16_t | kRawTick = 2
const uint8_t | kTimeoutMs = 15
const uint16_t | kMaxTimeoutMs = kRawTick * (UINT16_MAX / MS_TO_USEC(1))
const uint32_t | kFnvPrime32 = 16777619UL
const uint32_t | kFnvBasis32 = 2166136261UL
const uint8_t | kDefaultESP32Timer = 3
const uint16_t | kStateSizeMax = kHitachiAc2StateLength

## Variable Documentation

## kDefaultESP32Timer

const uint8_t kDefaultESP32Timer = 3

## kFnvBasis32

const uint32_t kFnvBasis32 = 2166136261UL

## kFnvPrime32

const uint32_t kFnvPrime32 = 16777619UL

## kFooter

const uint16_t kFooter = 2

## kHeader

const uint16_t kHeader = 2

## kIdleState

const uint8_t kIdleState = 2

## kMarkExcess

const uint16_t kMarkExcess = 50

## kMarkState

const uint8_t kMarkState = 3

## kMaxTimeoutMs

const uint16_t kMaxTimeoutMs = kRawTick * (UINT16_MAX / MS_TO_USEC(1))

## kRawBuf

const uint16_t kRawBuf = 100

## kRawTick

const uint16_t kRawTick = 2

## kRepeat

const uint64_t kRepeat = UINT64_MAX

## kSpaceState

const uint8_t kSpaceState = 4

## kStartOffset

const uint16_t kStartOffset = 1

## kStateSizeMax

const uint16_t kStateSizeMax = kHitachiAc2StateLength

## kStopState

const uint8_t kStopState = 5

## kTimeoutMs

const uint8_t kTimeoutMs = 15

## kTolerance

const uint8_t kTolerance = 25

## kUnknownThreshold

const uint16_t kUnknownThreshold = 6

## kUseDefTol

const uint8_t kUseDefTol = 255